package sample.sample14;

public abstract class 哺乳類 {
	protected String name;

	public 哺乳類(String name) {
		this.name = name;
	}

	public void 食べる(食べ物 食べ物) {
		if (食べられる(食べ物)) {
			System.out.println(食べ物.getName() + "を食べました");
		} else {
			System.out.println(食べ物.getName() + "は食べられません");
		}
	}

	protected abstract boolean 食べられる(食べ物 食べ物);

	public abstract void 鳴く();

	public String getName() {
		return name;
	}

}
